View Issue Details

IDProjectCategoryView StatusLast Update
0000783OpenMPT[All Projects] Feature Requestpublic2017-09-22 15:17
ReportermanxAssigned To 
PrioritylowSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionOpenMPT 2.0 (very long term goals)Fixed in Version 
Summary0000783: cross-platform OpenMPT
Description

This is a meta-issue, collecting various other issues related to making OpenMPT itself cross-platform.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

parent of 0000572 resolvedSaga Musix Avoid non-standard language extensions for structure packing 
parent of 0000570 resolvedmanx OpenMPT UNICODE build 
parent of 0000771 resolvedmanx Use synchronous exception handling model in OpenMPT 
parent of 0000782 assignedmanx Cleanup source code directories 
parent of 0000847 closedmanx MSVC Clang/C2 support for libopenmpt 
parent of 0000849 closedmanx MSVC Clang/C2 support 
related to 0000713 new KeyboardHook can ultimately invoke a message loop which can cause re-entry to the hook function 
Not all the children of this issue are yet resolved or closed.

Activities

Gerirish

Gerirish

2017-08-14 18:43

reporter   ~0003168

Maybe it's a crazy idea, but merging the OpenMPT codebase with existing cross-platform trackers such as MilkyTracker or SchismTracker could also be a solution. To create a "super tracker" with benefits from both codebases so to say.

Saga Musix

Saga Musix

2017-08-14 19:04

administrator   ~0003169

There is no point in doing this. UI is tightly coupled with the backend in OpenMPT just as it is in Milky or Schism. Both trackers would need to be modified heavily to even accomodate for the features that would need to be added. It just doesn't make sense to do this, and it is certainly not less work than porting OpenMPT's UI to a new window toolkit.

Issue History

Date Modified Username Field Change
2016-05-09 09:29 manx New Issue
2016-05-09 09:30 manx Relationship added parent of 0000572
2016-05-09 09:31 manx Relationship added parent of 0000570
2016-05-09 09:32 manx Relationship added parent of 0000771
2016-05-09 09:32 manx Relationship added parent of 0000782
2016-08-05 11:51 manx Relationship added parent of 0000847
2016-08-06 07:36 manx Relationship added parent of 0000849
2017-08-14 18:43 Gerirish Note Added: 0003168
2017-08-14 19:04 Saga Musix Note Added: 0003169
2017-09-22 15:17 manx Relationship added related to 0000713